Exponent CMS index.php section Variable SQL Injection

2005-11-11T21:35:23
ID OSVDB:20796
Type osvdb
Reporter OSVDB
Modified 2005-11-11T21:35:23

Description

Vulnerability Description

Exponent CMS contains a flaw that may allow a remote attacker to carry out an SQL injection attack. The issue is due to the 'index.php' script not properly sanitizing user-supplied input to the 'section' variable. This may allow a remote attacker to inject or manipulate SQL queries in the backend database.

Solution Description

Currently, there are no known workarounds or upgrades to correct this issue. However, James Hunt has released a patch in the CVS code to address this vulnerability.

Short Description

Exponent CMS contains a flaw that may allow a remote attacker to carry out an SQL injection attack. The issue is due to the 'index.php' script not properly sanitizing user-supplied input to the 'section' variable. This may allow a remote attacker to inject or manipulate SQL queries in the backend database.

References:

Vendor URL: http://www.exponentcms.org/ Vendor Specific News/Changelog Entry: http://sourceforge.net/tracker/index.php?func=detail&aid=1354529&group_id=118524&atid=681366